# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Carp.pm) perl(Data/FreqConvert.pm) perl(Data/Printer.pm) perl(Data/UUID.pm) perl(Digest/MD5.pm) perl(EV.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(Mojo.pm) perl(Mojolicious.pm) perl(Mojolicious/Plugin/SimpleSession.pm) perl(Number/Format.pm) perl(Scalar/Util.pm) perl(Test/Fatal.pm) perl(Test/MockTime.pm) perl(Test/Mojo.pm) perl(Test/MonkeyMock.pm) perl(Test/More.pm) perl(Time/Duration.pm) perl(Time/Piece.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Flower
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: passive agent
Group: Development/Perl
License: perl
URL: http://github.com/santex/flower

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SA/SANTEX/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
start up your elasticsearch

 sudo /etc/init.d/elasticsearch start

 now ready to go ahead


 git clone https://github.com/santex/Flower.git;
 cd Flower;
 dzil build;
 dzil test;
 sudo dzil install;
 pwd=$(pwd);
 ip=127.0.0.1;

 perl $pwd"/bin/flower" --ip $ip --filepath $pwd"/data/"

 Then visit https://127.0.0.1:2222 in your browser.

 test urls passive log
 https://127.0.0.1:2222/q/name
 https://127.0.0.1:2222/q/class

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm %buildroot%perl_vendor_privlib/README.pod

%files
%doc LICENSE README.pod
%perl_vendor_privlib/F*

%files scripts
%_bindir/*

%changelog
* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

